MODULE GETWIN
!******************************************************************************
!*                                                                            *
!*  DESCRIPTION FOR MODULE GETWIN                                             *
!*                                                                            *
!*  THIS MODULE PROVIDES AN INTERFACE TO THE WINDOWS API GETTICKCOUNT.  THIS  *
!*  API IS USED TO GET A CURRENT SYSTEM TIME PARAMETER FOR SOME INTERNAL      *
!*  PROGRAM TIME CALCULATTIONS.                                               *
!*                                                                            *
!******************************************************************************

  INTERFACE 
    INTEGER(KIND=4)FUNCTION GETTICKCOUNT()
	!DEC$ IF DEFINED(_X86_)
	!DEC$ ATTRIBUTES STDCALL, ALIAS : '_GetTickCount@' :: GETTICKCOUNT
	!DEC$ ELSE
	!DEC$ ATTRIBUTES STDCALL, ALIAS : 'GetTickCount' :: GETTICKCOUNT
	!DEC$ ENDIF
    END
  END INTERFACE
END MODULE GETWIN
